clear all

//import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\Visits2nd19122017V2.xlsx", sheet("Sheet1") firstrow clear
//import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\Visits2nd19012018.xlsx", sheet("Sheet1") firstrow clear
import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\Visits2nd17052018.xlsx", sheet("Sheet1") firstrow clear
save "C:\Users\Andrej Woerner\GymMechanism\Experiment\VisitsExperiment", replace

//use http://statistics.ats.ucla.edu/stat/data/stata_faq_multmerge/data1, clear
//sort id
//save d:\data\data1_a, replace
//drop if ID[_n-1]==ID & Key[_n-1]==Key & Checkinnr[_n-1]==Checkinnr

sort PersonID Checkinnr

//drop if Result!=0
//gen Tennisplayer=1 if Check_in_gate==20000001  | Check_in_gate==20000002 //Tennis
drop if Check_in_gate==20000001  | Check_in_gate==20000002 | Check_in_gate==8 //Tennis
drop if Result!=0


//////////////////////////////////////////////////////////////////////////////////
generate IndPast12Weeks=0
replace IndPast12Weeks=1 if Checkinnr>=42968 & Checkinnr<42996 & Checkinnr!=.
generate IndPast58Weeks=0
replace IndPast58Weeks=1 if Checkinnr>=42996 & Checkinnr<43024 & Checkinnr!=.
generate IndPast4Weeks=0
replace IndPast4Weeks=1 if Checkinnr>=43024 & Checkinnr<43052 & Checkinnr!=.
generate IndBetPeriod=0
//<42891 are first three weeks of bet period
replace IndBetPeriod=1 if Checkinnr>=43059 & Checkinnr<43087 & Checkinnr!=.
generate IndFuture4Weeks=0
replace IndFuture4Weeks=1 if Checkinnr>=43087 & Checkinnr<43115 & Checkinnr!=.
generate IndFuture8Weeks=0
replace IndFuture8Weeks=1 if Checkinnr>=43115 & Checkinnr<43143 & Checkinnr!=.
generate IndFuture12Weeks=0
replace IndFuture12Weeks=1 if Checkinnr>=43143 & Checkinnr<43171 & Checkinnr!=.
generate IndFuture16Weeks=0
replace IndFuture16Weeks=1 if Checkinnr>=43171 & Checkinnr<43199 & Checkinnr!=.
generate IndFuture20Weeks=0
replace IndFuture20Weeks=1 if Checkinnr>=43199 & Checkinnr<43227 & Checkinnr!=.


generate IndWeek0=0
replace IndWeek0=1 if Checkinnr>=43052 & Checkinnr<43059
generate IndWeekp1=0
replace IndWeekp1=1 if Checkinnr>=43045 & Checkinnr<43052
generate IndWeekp2=0
replace IndWeekp2=1 if Checkinnr>=43038 & Checkinnr<43045
generate IndWeekp3=0
replace IndWeekp3=1 if Checkinnr>=43031 & Checkinnr<43038
generate IndWeekp4=0
replace IndWeekp4=1 if Checkinnr>=43024 & Checkinnr<43031
generate IndWeekp5=0
replace IndWeekp5=1 if Checkinnr>=43017 & Checkinnr<43024
generate IndWeekp6=0
replace IndWeekp6=1 if Checkinnr>=43010 & Checkinnr<43017
generate IndWeekp7=0
replace IndWeekp7=1 if Checkinnr>=43003 & Checkinnr<43010
generate IndWeekp8=0
replace IndWeekp8=1 if Checkinnr>=42996 & Checkinnr<43003
generate IndWeekb1=0
replace IndWeekb1=1 if Checkinnr>=43059 & Checkinnr<43066
generate IndWeekb2=0
replace IndWeekb2=1 if Checkinnr>=43066 & Checkinnr<43073
generate IndWeekb3=0
replace IndWeekb3=1 if Checkinnr>=43073 & Checkinnr<43080
generate IndWeekb4=0
replace IndWeekb4=1 if Checkinnr>=43080 & Checkinnr<43087
generate IndWeekf5=0
replace IndWeekf5=1 if Checkinnr>=43087 & Checkinnr<43094
generate IndWeekf6=0
replace IndWeekf6=1 if Checkinnr>=43094 & Checkinnr<43101
generate IndWeekf7=0
replace IndWeekf7=1 if Checkinnr>=43101 & Checkinnr<43108
generate IndWeekf8=0
replace IndWeekf8=1 if Checkinnr>=43108 & Checkinnr<43115

forvalues i=9/24 {
generate IndWeekf`i'=0
replace IndWeekf`i'=1 if Checkinnr>=43115+7*(`i'-9) & Checkinnr<43122+7*(`i'-9)
}

forvalues i=1/28 {
generate IndDay`i'=0
replace IndDay`i'=1 if Checkinnr>=43058+`i' & Checkinnr<43059+`i'
}

generate Checkinnracc=Checkinnr
replace Checkinnr=floor(Checkinnr)

generate indic=1
replace indic=0 if Checkinnr[_n-1]==Checkinnr & PersonID[_n-1]==PersonID

////// When is checkout necessary...second line: 
///////


bysort PersonID: egen TotalPast12Weeks=total(indic) if IndPast12Weeks==1
bysort PersonID: egen TotalPast58Weeks=total(indic) if IndPast58Weeks==1
bysort PersonID: egen TotalPast4Weeks=total(indic) if IndPast4Weeks==1
bysort PersonID: egen TotalBetPeriod=total(indic) if IndBetPeriod==1
bysort PersonID: egen TotalFuture4Weeks=total(indic) if IndFuture4Weeks==1
bysort PersonID: egen TotalFuture8Weeks=total(indic) if IndFuture8Weeks==1
bysort PersonID: egen TotalFuture12Weeks=total(indic) if IndFuture12Weeks==1
bysort PersonID: egen TotalFuture16Weeks=total(indic) if IndFuture16Weeks==1
bysort PersonID: egen TotalFuture20Weeks=total(indic) if IndFuture20Weeks==1




bysort PersonID: generate Past12Weeks=TotalPast12Weeks if TotalPast12Weeks[_n-1]==.
bysort PersonID: generate Past58Weeks=TotalPast58Weeks if TotalPast58Weeks[_n-1]==.
bysort PersonID: generate Past4Weeks=TotalPast4Weeks if TotalPast4Weeks[_n-1]==.
bysort PersonID: generate BetPeriod=TotalBetPeriod if TotalBetPeriod[_n-1]==.
bysort PersonID: generate Future4Weeks=TotalFuture4Weeks if TotalFuture4Weeks[_n-1]==.
bysort PersonID: generate Future8Weeks=TotalFuture8Weeks if TotalFuture8Weeks[_n-1]==.
bysort PersonID: generate Future12Weeks=TotalFuture12Weeks if TotalFuture12Weeks[_n-1]==.
bysort PersonID: generate Future16Weeks=TotalFuture16Weeks if TotalFuture16Weeks[_n-1]==.
bysort PersonID: generate Future20Weeks=TotalFuture20Weeks if TotalFuture20Weeks[_n-1]==.




bysort PersonID: egen TotalWeek0=total(indic) if IndWeek0==1
bysort PersonID: generate Week0=TotalWeek0 if TotalWeek0[_n-1]==.
bysort PersonID: egen TotalWeekp1=total(indic) if IndWeekp1==1
bysort PersonID: generate Weekp1=TotalWeekp1 if TotalWeekp1[_n-1]==.
bysort PersonID: egen TotalWeekp2=total(indic) if IndWeekp2==1
bysort PersonID: generate Weekp2=TotalWeekp2 if TotalWeekp2[_n-1]==.
bysort PersonID: egen TotalWeekp3=total(indic) if IndWeekp3==1
bysort PersonID: generate Weekp3=TotalWeekp3 if TotalWeekp3[_n-1]==.
bysort PersonID: egen TotalWeekp4=total(indic) if IndWeekp4==1
bysort PersonID: generate Weekp4=TotalWeekp4 if TotalWeekp4[_n-1]==.
bysort PersonID: egen TotalWeekp5=total(indic) if IndWeekp5==1
bysort PersonID: generate Weekp5=TotalWeekp5 if TotalWeekp5[_n-1]==.
bysort PersonID: egen TotalWeekp6=total(indic) if IndWeekp6==1
bysort PersonID: generate Weekp6=TotalWeekp6 if TotalWeekp6[_n-1]==.
bysort PersonID: egen TotalWeekp7=total(indic) if IndWeekp7==1
bysort PersonID: generate Weekp7=TotalWeekp7 if TotalWeekp7[_n-1]==.
bysort PersonID: egen TotalWeekp8=total(indic) if IndWeekp8==1
bysort PersonID: generate Weekp8=TotalWeekp8 if TotalWeekp8[_n-1]==.
bysort PersonID: egen TotalWeekb1=total(indic) if IndWeekb1==1
bysort PersonID: generate Weekb1=TotalWeekb1 if TotalWeekb1[_n-1]==.
bysort PersonID: egen TotalWeekb2=total(indic) if IndWeekb2==1
bysort PersonID: generate Weekb2=TotalWeekb2 if TotalWeekb2[_n-1]==.
bysort PersonID: egen TotalWeekb3=total(indic) if IndWeekb3==1
bysort PersonID: generate Weekb3=TotalWeekb3 if TotalWeekb3[_n-1]==.
bysort PersonID: egen TotalWeekb4=total(indic) if IndWeekb4==1
bysort PersonID: generate Weekb4=TotalWeekb4 if TotalWeekb4[_n-1]==.
bysort PersonID: egen TotalWeekf5=total(indic) if IndWeekf5==1
bysort PersonID: generate Weekf5=TotalWeekf5 if TotalWeekf5[_n-1]==.
bysort PersonID: egen TotalWeekf6=total(indic) if IndWeekf6==1
bysort PersonID: generate Weekf6=TotalWeekf6 if TotalWeekf6[_n-1]==.
bysort PersonID: egen TotalWeekf7=total(indic) if IndWeekf7==1
bysort PersonID: generate Weekf7=TotalWeekf7 if TotalWeekf7[_n-1]==.
bysort PersonID: egen TotalWeekf8=total(indic) if IndWeekf8==1
bysort PersonID: generate Weekf8=TotalWeekf8 if TotalWeekf8[_n-1]==.

forvalues i=9/24 {
bysort PersonID: egen TotalWeekf`i'=total(indic) if IndWeekf`i'==1
bysort PersonID: generate Weekf`i'=TotalWeekf`i' if TotalWeekf`i'[_n-1]==.
}

forvalues i=1/28 {
bysort PersonID: egen TotalDay`i'=total(indic) if IndDay`i'==1
bysort PersonID: generate Day`i'=TotalDay`i' if TotalDay`i'[_n-1]==.
}

//generate check1=Past58Weeks+Past4Weeks+BetPeriod+Weekp1+Weekp2+Weekp3+Weekp4

drop if PersonID==PersonID[_n-1] & Past12Weeks==. & Past58Weeks==. & Past4Weeks==. & BetPeriod==. & Future4Weeks==. & Future8Weeks==. & Future12Weeks==. & Future16Weeks==. & Future20Weeks==. & Week0==. & Weekp1==. & Weekp2==. & Weekp3==. & Weekp4==. & Weekp5==. & Weekp6==. & Weekp7==. & Weekp8==. & Weekb1==. & Weekb2==. & Weekb3==. & Weekb4==. & Weekf5==. & Weekf6==. & Weekf7==. & Weekf8==. & Weekf9==. & Weekf10==. & Weekf11==. & Weekf12==. & Weekf13==. & Weekf14==. & Weekf15==. & Weekf16==. & Weekf17==. & Weekf18==. & Weekf19==. & Weekf20==. & Weekf21==. & Weekf22==. & Weekf23==. & Weekf24==. & Day1==. & Day2==. & Day3==. & Day4==. & Day5==. & Day6==. & Day7==. & Day8==. & Day9==. & Day10==. & Day11==. & Day12==. & Day13==. & Day14==. & Day15==. & Day16==. & Day17==. & Day18==. & Day19==. & Day20==. & Day21==. & Day22==. & Day23==. & Day24==. & Day25==. & Day26==. & Day27==. & Day28==.
drop if PersonID==PersonID[_n+1] & Past12Weeks==. & Past58Weeks==. & Past4Weeks==. & BetPeriod==. & Future4Weeks==. & Future8Weeks==. & Future12Weeks==. & Future16Weeks==. & Future20Weeks==. & Week0==. & Weekp1==. & Weekp2==. & Weekp3==. & Weekp4==. & Weekp5==. & Weekp6==. & Weekp7==. & Weekp8==. & Weekb1==. & Weekb2==. & Weekb3==. & Weekb4==. & Weekf5==. & Weekf6==. & Weekf7==. & Weekf8==. & Weekf9==. & Weekf10==. & Weekf11==. & Weekf12==. & Weekf13==. & Weekf14==. & Weekf15==. & Weekf16==. & Weekf17==. & Weekf18==. & Weekf19==. & Weekf20==. & Weekf21==. & Weekf22==. & Weekf23==. & Weekf24==. & Day1==. & Day2==. & Day3==. & Day4==. & Day5==. & Day6==. & Day7==. & Day8==. & Day9==. & Day10==. & Day11==. & Day12==. & Day13==. & Day14==. & Day15==. & Day16==. & Day17==. & Day18==. & Day19==. & Day20==. & Day21==. & Day22==. & Day23==. & Day24==. & Day25==. & Day26==. & Day27==. & Day28==.
replace Past12Weeks=Past12Weeks[_n-1] if PersonID==PersonID[_n-1] & Past12Weeks[_n-1]!=.
replace Past58Weeks=Past58Weeks[_n-1] if PersonID==PersonID[_n-1] & Past58Weeks[_n-1]!=.
replace Past4Weeks=Past4Weeks[_n-1] if PersonID==PersonID[_n-1] & Past4Weeks[_n-1]!=.
replace BetPeriod=BetPeriod[_n-1] if PersonID==PersonID[_n-1] & BetPeriod[_n-1]!=.
replace Future4Weeks=Future4Weeks[_n-1] if PersonID==PersonID[_n-1] & Future4Weeks[_n-1]!=.
replace Future8Weeks=Future8Weeks[_n-1] if PersonID==PersonID[_n-1] & Future8Weeks[_n-1]!=.
replace Future12Weeks=Future12Weeks[_n-1] if PersonID==PersonID[_n-1] & Future12Weeks[_n-1]!=.
replace Future16Weeks=Future16Weeks[_n-1] if PersonID==PersonID[_n-1] & Future16Weeks[_n-1]!=.
replace Future20Weeks=Future20Weeks[_n-1] if PersonID==PersonID[_n-1] & Future20Weeks[_n-1]!=.




replace Week0=Week0[_n-1] if PersonID==PersonID[_n-1] & Week0[_n-1]!=.
replace Weekp1=Weekp1[_n-1] if PersonID==PersonID[_n-1] & Weekp1[_n-1]!=.
replace Weekp2=Weekp2[_n-1] if PersonID==PersonID[_n-1] & Weekp2[_n-1]!=.
replace Weekp3=Weekp3[_n-1] if PersonID==PersonID[_n-1] & Weekp3[_n-1]!=.
replace Weekp4=Weekp4[_n-1] if PersonID==PersonID[_n-1] & Weekp4[_n-1]!=.
replace Weekp5=Weekp5[_n-1] if PersonID==PersonID[_n-1] & Weekp5[_n-1]!=.
replace Weekp6=Weekp6[_n-1] if PersonID==PersonID[_n-1] & Weekp6[_n-1]!=.
replace Weekp7=Weekp7[_n-1] if PersonID==PersonID[_n-1] & Weekp7[_n-1]!=.
replace Weekp8=Weekp8[_n-1] if PersonID==PersonID[_n-1] & Weekp8[_n-1]!=.
replace Weekb1=Weekb1[_n-1] if PersonID==PersonID[_n-1] & Weekb1[_n-1]!=.
replace Weekb2=Weekb2[_n-1] if PersonID==PersonID[_n-1] & Weekb2[_n-1]!=.
replace Weekb3=Weekb3[_n-1] if PersonID==PersonID[_n-1] & Weekb3[_n-1]!=.
replace Weekb4=Weekb4[_n-1] if PersonID==PersonID[_n-1] & Weekb4[_n-1]!=.
replace Weekf5=Weekf5[_n-1] if PersonID==PersonID[_n-1] & Weekf5[_n-1]!=.
replace Weekf6=Weekf6[_n-1] if PersonID==PersonID[_n-1] & Weekf6[_n-1]!=.
replace Weekf7=Weekf7[_n-1] if PersonID==PersonID[_n-1] & Weekf7[_n-1]!=.
replace Weekf8=Weekf8[_n-1] if PersonID==PersonID[_n-1] & Weekf8[_n-1]!=.

forvalues i=9/24 {
replace Weekf`i'=Weekf`i'[_n-1] if PersonID==PersonID[_n-1] & Weekf`i'[_n-1]!=.
}

forvalues i=1/28 {
replace Day`i'=Day`i'[_n-1] if PersonID==PersonID[_n-1] & Day`i'[_n-1]!=.
}


drop if PersonID==PersonID[_n+1]
replace Past12Weeks=0 if Past12Weeks==.
replace Past58Weeks=0 if Past58Weeks==.
replace Past4Weeks=0 if Past4Weeks==.
replace BetPeriod=0 if BetPeriod==.
replace Future4Weeks=0 if Future4Weeks==.
replace Future8Weeks=0 if Future8Weeks==.
replace Future12Weeks=0 if Future12Weeks==.
replace Future16Weeks=0 if Future16Weeks==.
replace Future20Weeks=0 if Future20Weeks==.



replace Week0=0 if Week0==.
replace Weekp1=0 if Weekp1==.
replace Weekp2=0 if Weekp2==.
replace Weekp3=0 if Weekp3==.
replace Weekp4=0 if Weekp4==.
replace Weekp5=0 if Weekp5==.
replace Weekp6=0 if Weekp6==.
replace Weekp7=0 if Weekp7==.
replace Weekp8=0 if Weekp8==.
replace Weekb1=0 if Weekb1==.
replace Weekb2=0 if Weekb2==.
replace Weekb3=0 if Weekb3==.
replace Weekb4=0 if Weekb4==.
replace Weekf5=0 if Weekf5==.
replace Weekf6=0 if Weekf6==.
replace Weekf7=0 if Weekf7==.
replace Weekf8=0 if Weekf8==.

forvalues i=9/24 {
replace Weekf`i'=0 if Weekf`i'==.
}

forvalues i=1/28 {
replace Day`i'=0 if Day`i'==.
}


rename Past4Weeks Test

save "C:\Users\Andrej Woerner\GymMechanism\Experiment\Visits2nd", replace



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\SurveyDataSecondRound.xlsx", sheet("Sheet1") firstrow clear
save "C:\Users\Andrej Woerner\GymMechanism\Experiment\SurveyAnalysis2nd", replace


merge m:1 PersonID using "C:\Users\Andrej Woerner\GymMechanism\Experiment\Visits2nd", force
drop _merge

save "C:\Users\Andrej Woerner\GymMechanism\Experiment\VisitsandSurvey2nd", replace

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////




import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\SurveyFollowUpBetTakers.xlsx", sheet("Sheet1") firstrow clear
save "C:\Users\Andrej Woerner\GymMechanism\Experiment\SurveyFUB", replace


merge m:m PersonID using "C:\Users\Andrej Woerner\GymMechanism\Experiment\VisitsandSurvey2nd", force

drop _merge
save "C:\Users\Andrej Woerner\GymMechanism\Experiment\VisitsandSurvey2nd2", replace

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\SurveyFollowUpNoBet.xlsx", sheet("Sheet1") firstrow clear
save "C:\Users\Andrej Woerner\GymMechanism\Experiment\SurveyFUB", replace


merge m:m PersonID using "C:\Users\Andrej Woerner\GymMechanism\Experiment\VisitsandSurvey2nd2", force

drop _merge
save "C:\Users\Andrej Woerner\GymMechanism\Experiment\VisitsandSurvey2nd3", replace

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


drop if Finished==0




replace BetPeriod=0 if BetPeriod==.
replace Test=0 if Test==.
generate DiffTest=Test-Past4Weeks
drop if DiffTest>0 | DiffTest<0
replace Past58Weeks=0 if Past58Weeks==.
generate Treatment=1 if Bet==0 | Bet==1
replace Treatment=0 if Bet==.
generate BetYes=Bet
replace BetYes=0 if Bet==.
generate Female=1-Male
generate ProcPInd=1 if ProcrastinationPast>4
replace ProcPInd=0 if ProcrastinationPast<5 
generate ProcPInd2=1 if ProcrastinationPast2>4 & ProcrastinationPast2!=.
replace ProcPInd2=0 if ProcrastinationPast2<5 & ProcrastinationPast2!=.
generate ProcPInd2b=ProcPInd2
replace ProcPInd2b=1 if ProcPInd2b==.
generate ProcFInd=1 if ProcrastinationFuture>4
replace ProcFInd=0 if ProcrastinationFuture<5
generate ProcFInd2=1 if ProcrastinationFuture2>4 & ProcrastinationFuture2!=.
replace ProcFInd2=0 if ProcrastinationFuture2<5 & ProcrastinationFuture2!=.
//generate ProcFInd2b=ProcFInd2
//replace ProcFInd2b=1 if ProcFInd2b==.
generate ProcInd=min(ProcPInd+ProcFInd,1)
generate CompInd=1 if Competitive>4
replace CompInd=0 if Competitive<5
generate RisksInd=1 if Risks>4
replace RisksInd=0 if Risks<5
generate HappyInd=1 if Happy>4
replace HappyInd=0 if Happy<5
generate HappyInd2=1 if Happy2>4 & Happy2!=.
replace HappyInd2=0 if Happy2<5 & Happy2!=.
generate HappyInd2b=HappyInd2
replace HappyInd2b=0 if HappyInd2b==.
generate MotInd=1 if Motivation>4
replace MotInd=0 if Motivation<5
generate MotInd2=1 if Motivation2>4 & Motivation2!=.
replace MotInd2=0 if Motivation2<5 & Motivation2!=.
generate MotInd2b=MotInd2
replace MotInd2b=0 if MotInd2b==.
generate FitInd=1 if Fit>4
replace FitInd=0 if Fit<5
generate FitInd2=1 if Fit2>4 & Fit2!=.
replace FitInd2=0 if Fit2<5 & Fit2!=.
generate FitInd2b=FitInd2
replace FitInd2b=0 if FitInd2b==.
generate LessInd=1 if LessOften>4
replace LessInd=0 if LessOften<5
generate MoreInd=1 if MoreOften>4
replace MoreInd=0 if MoreOften<5
generate HealthInd=1 if Health>4
replace HealthInd=0 if Health<5
generate HealthInd2=1 if Health2>4 & Health2!=.
replace HealthInd2=0 if Health2<5 & Health2!=.
generate HealthInd2b=HealthInd2
replace HealthInd2b=0 if HealthInd2b==.
generate SatInd=1 if Satisfaction>4
replace SatInd=0 if Satisfaction<5
generate SatInd2=1 if Satisfaction2>4 & Satisfaction2!=.
replace SatInd2=0 if Satisfaction2<5 & Satisfaction2!=.
generate SatInd2b=SatInd2
replace SatInd2b=0 if SatInd2b==.
generate NotSatInd=1 if Satisfaction<4
replace NotSatInd=0 if Satisfaction>3
generate MoneyInd=1 if Exp<Exp5
replace MoneyInd=0 if Exp>=Exp5
generate LikelyInd=1 if Likely>4 & Likely!=.
replace LikelyInd=0 if Likely<5 & Likely!=.
generate PastOutInd=0 & PastOut!=.
replace PastOutInd=1 if PastOut>=4 & PastOut!=.
generate AtLeastOnce=1 if Test>0
replace AtLeastOnce=0 if Test==0
generate Never=1-AtLeastOnce
generate OnceWeek=0
replace OnceWeek=1 if BetPeriod>=4
generate OnceWeekFuture=0
replace OnceWeekFuture=1 if Future4Weeks>=4
generate BMI=Weight/(Height/100)^2
generate Overweight=0
replace Overweight=1 if BMI>=25
generate Overweight2=0
replace Overweight2=1 if BMI>=25 & Weight>WeightGoal
generate Money=BetPeriod*5 if Bet==1
replace Money=40 if Money>40 & Bet==1
generate ExpMoney=5*min(ExpBet,8) if Bet==1
generate ExpMoneyOthers=ExpMoney-ExpWin if Bet==1


generate MinBetPeriod8=min(BetPeriod,8) if Bet==1
generate Change=BetPeriod-Test
generate TreatTest=Treatment*Test
generate TreatMale=Treatment*Male
generate TreatFemale=Treatment*Female
generate TreatProcPInd=Treatment*ProcPInd
generate TreatProcFInd=Treatment*ProcFInd
generate TreatALO=Treatment*AtLeastOnce
generate TreatNever=Treatment*Never
generate TreatProcInd=Treatment*ProcInd
generate TreatPastOut=Treatment*PastOut
generate TreatFitInd=Treatment*FitInd
generate TreatMotInd=Treatment*MotInd
generate TreatRisksInd=Treatment*RisksInd
generate TreatCompInd=Treatment*CompInd
generate TreatMoneyInd=Treatment*MoneyInd
generate TreatHealthInd=Treatment*HealthInd
generate BetYesTest=BetYes*Test
generate BetYesMotInd=BetYes*MotInd
generate BetYesMoneyInd=BetYes*MoneyInd
generate BetYesProcPInd=BetYes*ProcPInd
generate BetYesFemale=BetYes*Female
generate BetYesCompInd=BetYes*CompInd
generate BetYesRisksInd=BetYes*RisksInd
generate Test0=1 if Test==0
replace Test0=0 if Test!=0
generate Test1=1 if Test==1
replace Test1=0 if Test!=1
generate Test2=1 if Test==2
replace Test2=0 if Test!=2
generate Test3=1 if Test==3
replace Test3=0 if Test!=3
generate Test4=1 if Test==4
replace Test4=0 if Test!=4
generate AgeInd=0
replace AgeInd=1 if Age>22
generate Sport=Test+PastOut
generate Sport2=BetPeriod+PastOut2
generate LoseWeightInd=1 if WeightGoal-Weight<0
replace LoseWeightInd=0 if WeightGoal-Weight>=0

generate Group1=0 if Treatment==0
replace Group1=1 if Treatment==1
generate Group2=0 if Treatment==1 & Bet==0
replace Group2=1 if Treatment==1 & Bet==1
replace Group2=0 if Treatment==0

generate Groups=1 if Treatment==0
replace Groups=2 if Bet==0
replace Groups=3 if Bet==1

//
generate OneorMoreVisitsBP=1
replace OneorMoreVisitsBP=0 if BetPeriod==0

generate EightorMoreVisitsBP=1
replace EightorMoreVisitsBP=0 if BetPeriod<8

order PersonID Past4Weeks Test Past58Weeks BetPeriod Bet Treatment DiffTest



//regress Bet ProcPInd ss Test PastOut Exp aa RisksInd, robust

save "C:\Users\Andrej Woerner\GymMechanism\Experiment\VisitandSurvey2nd4", replace

import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\AllSub.xlsx", sheet("Sheet1") firstrow clear
save "C:\Users\Andrej Woerner\GymMechanism\Experiment\All2nd", replace

merge m:m PersonID using "C:\Users\Andrej Woerner\GymMechanism\Experiment\VisitandSurvey2nd4", force

//drop if PersonID==.
//drop if SurveyID==1351
sort PersonID Startnr
drop if PersonID==PersonID[_n-1] & PersonID!=.

//drop _merge

//save C:\Users\Andrej Woerner\GymMechanism\Experiment\AllFullAnalysis2nd, replace

//import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\BetResultsOutcomecorrected.xlsx", sheet("Sheet1") firstrow clear
//save C:\Users\Andrej Woerner\GymMechanism\Experiment\BetOutcome, replace

//merge m:m PersonID using C:\Users\Andrej Woerner\GymMechanism\Experiment\AllFullAnalysis, force
//////////////////////////////////////////////////////////////////////////////////

drop if Finished!=1
order PersonID Past4Weeks Test Past58Weeks BetPeriod Bet Treatment DiffTest

//import excel "C:\Users\Andrej Woerner\GymMechanism\Experiment\Survey.xlsx", sheet("Sheet1") firstrow clear
//save C:\Users\Andrej Woerner\GymMechanism\Experiment\SurveyAnalysis, replace
replace Past12Weeks=0 if Past12Weeks==.
replace Past58Weeks=0 if Past58Weeks==.
replace Test=0 if Test==.
replace BetPeriod=0 if BetPeriod==.
replace Future4Weeks=0 if Future4Weeks==.
replace Future8Weeks=0 if Future8Weeks==.
replace Future12Weeks=0 if Future12Weeks==.
replace Future16Weeks=0 if Future16Weeks==.
replace Future20Weeks=0 if Future20Weeks==.



replace Week0=0 if Week0==.
replace Weekp1=0 if Weekp1==.
replace Weekp2=0 if Weekp2==.
replace Weekp3=0 if Weekp3==.
replace Weekp4=0 if Weekp4==.
replace Weekp5=0 if Weekp5==.
replace Weekp6=0 if Weekp6==.
replace Weekp7=0 if Weekp7==.
replace Weekp8=0 if Weekp8==.
replace Weekb1=0 if Weekb1==.
replace Weekb2=0 if Weekb2==.
replace Weekb3=0 if Weekb3==.
replace Weekb4=0 if Weekb4==.
replace Weekf5=0 if Weekf5==.
replace Weekf6=0 if Weekf6==.
replace Weekf7=0 if Weekf7==.
replace Weekf8=0 if Weekf8==.

forvalues i=9/24 {
replace Weekf`i'=0 if Weekf`i'==.
}

forvalues i=1/28 {
replace Day`i'=0 if Day`i'==.
}

//generate BetInd=1 if (Bet==1 | Bet==2) & Finished==1
//replace BetInd=0 if Bet==3 & Finished==1
//replace Gender=Gender-1
//replace Age=Age+17
//replace Height=Height+139
//replace Weight=Weight+34
//replace WeightGoal=WeightGoal+34
//replace Duration=Duration+29
//generate Treatment=1 if Finished==1
//replace Treatment=0 if Bet==. & Finished==1
//generate BMI=Weight/(Height/100)^2
//generate BMIGoal=WeightGoal/(Height/100)^2
//generate DiffWeight=WeightGoal-Weight
//generate Overweight=0 if BMI<25 & BMI!=.
//replace Overweight=1 if BMI>=25 & BMI!=.
//generate Underweight=0 if BMI>18.5 & BMI!=.
//replace Underweight=1 if BMI<=18.5 & BMI!=.
//generate Obese=0 if BMI<30 & BMI!=.
//replace Obese=1 if BMI>=30 & BMI!=.
//generate DiffProc=ProcrastinationFuture-ProcrastinationPast
//generate Bet3=1 if Bet==1 & Finished==1
//replace Bet3=0 if (Bet==2 | Bet==3) & Finished==1
//generate Bet5=1 if Bet==2 & Finished==1
//replace Bet5=0 if (Bet==1 | Bet==3) & Finished==1
//generate DiffExpPast=Exp-Past4Weeks
//generate AtLeastOnce=0 if Past4Weeks==0
//replace AtLeastOnce=1 if Past4Weeks>0 & Past4Weeks!=.
//generate NoVisit=1-AtLeastOnce

generate Location=1 if Check_in_gate==2 | Check_in_gate==10 | Check_in_gate==21 | Check_in_gate==22 | Check_in_gate==23 | Check_in_gate==24 | Check_in_gate==25 //Universum
replace Location=2 if Check_in_gate==4 | Check_in_gate==10000001 //ASC
replace Location=3 if Check_in_gate==5000001 | Check_in_gate==5000002 //PCH
replace Location=4 if Check_in_gate==15000001 | Check_in_gate==15000002 | Check_in_gate==15000003 | Check_in_gate==15000004 //Amstelcampus
replace Location=5 if Check_in_gate==25000002 | Check_in_gate==25000003 | Check_in_gate==25000004 | Check_in_gate==25000005 //ClubWest
replace Location=6 if Check_in_gate==20000001  | Check_in_gate==20000002 | Check_in_gate==8 //Tennis
replace Location=0 if Location==.

//generate atmostonceperweek=1 if BetPeriod<5
//replace atmostonceperweek=0 if BetPeriod>=5


//Say that BetCheck for BetInd==1 is BetPeriod
//replace BetPeriod=BetCheck if BetInd==1


//generate ExpectedBetPeriod=BetPeriod
//replace ExpectedBetPeriod=round(ExpectedBetPeriod,0.01)
//generate ExpectedChange=ExpectedBetPeriod-Test
//generate Change=ExpectedChange
//generate Student=1 if Category==1
//replace Student=0 if Category==2 | Category==3

//generate IntTrP4=Treatment*Past4Weeks
//generate IntTrSt=Student*Treatment

//drop if SurveyID==1351
//drop if PersonID==.
//replace BMI=. if BMI<12

//generate AvgBCR=(Bets+Competitive+Risks)/3
//generate AvgProc=(ProcrastinationPast+ProcrastinationFuture)/2

//generate Contract=EndDate-StartDate
//generate Previous=floor((42870-StartDate)/7)
//generate BetYes=0 if Treatment!=.
//replace BetYes=1 if BetInd==1
//generate BetYes5=0 if Treatment!=.
//replace BetYes5=1 if Bet5==1

//generate ExpWin=(ExpBet3-ExpBet3Partner)*3 if ExpBet3<=10 & ExpBet3Partner<=10
//replace ExpWin=(10-ExpBet3Partner)*3 if ExpBet3>10 & ExpBet3Partner<=10
//replace ExpWin=(ExpBet3-10)*3 if ExpBet3<=10 & ExpBet3Partner>10
//replace ExpWin=0 if ExpBet3>10 & ExpBet3Partner>10 & ExpBet3!=.
//replace ExpWin=(ExpBet5-ExpBet5Partner)*5 if ExpBet5<=10 & ExpBet5Partner<=10
//replace ExpWin=(10-ExpBet5Partner)*5 if ExpBet5>10 & ExpBet5Partner<=10
//replace ExpWin=(ExpBet5-10)*5 if ExpBet5<=10 & ExpBet5Partner>10
//replace ExpWin=0 if ExpBet5>10 & ExpBet5Partner>10 & ExpBet5!=.






//rename SubsID Subscription

generate ContractDuration=12 if Subscription==4 | Subscription==1022 | Subscription==1050 | Subscription==25000145 | Subscription==1219
replace ContractDuration=6 if Subscription==5 | Subscription==1054 | Subscription==1218
replace ContractDuration=3 if Subscription==6 | Subscription==1217 | Subscription==1333
generate Contract3=1 if ContractDuration==3
replace Contract3=0 if ContractDuration!=3
generate Contract6=1 if ContractDuration==6
replace Contract6=0 if ContractDuration!=6
generate Contract12=1 if ContractDuration==12
replace Contract12=0 if ContractDuration!=12


generate NDaysBeforeBet=43059-Startnr
generate NDaysBeforeEnd=Endnr-43058

//generate ContractYes=0 if StartDate!=.
//replace ContractYes=1 if StartDate<=42807 & StartDate!=.

//order PersonID SurveyID Past58Weeks Past4Weeks Test BetPeriod BetCheck Treatment BetInd Bet3 Bet5


//teffects psmatch (ExpectedChange) (Treatment Past58Weeks Past4Weeks Bets Age Gender PastOut Exp Procr* Happy Health Mot Fit Risks Competitive Duration BMI, probit) if Bet!=3 & Finished==1, atet
//teffects psmatch (ExpectedChange) (Treatment Past58Weeks Past4Weeks Bets Age Gender PastOut Exp Procr* Happy Health Mot Fit Risks Competitive Duration BMI, probit) if BetInd!=1 & Finished==1, atet
//regress ExpectedChange Treatment Past58Weeks Past4Weeks AtLeastOnce Exp PastOut Duration Motivation Fit Procr* Bets Competitive Risks Health Happy BMI Overweight Age Gender Weight WeightGoal Height i.Category Previous i.Subscription, robust
//regress ExpectedChange Treatment, robust
//regress ExpectedChange Treatment Past58Weeks Past4Weeks Exp, robust
//Take-up
//regress BetInd Past4Weeks Past58Weeks Bets Risks Competitive Procr* Exp, robust
//logit BetInd Past4Weeks Past58Weeks Past12Weeks Bets 


//logit ExpectedChange Treatment#Past4Weeks
//margins Treatment, at (Past4Weeks=(0 1 2 3))
//marginsplot


//Explain Results
// Show that Past4Weeks good matching instrument
//regress BetPeriod Past4Weeks if Treatment==0, robust
//corr Past4Weeks ExpectedBetPeriod if Treatment==0
// Show that already quite a good fit
//regress BetPeriod Past4Weeks Past58Weeks Past12Weeks Gender Age i.Category i.Subscription StartDate i.Location if Treatment==0, robust
//Show Treatment Effect
//regress BetPeriod Treatment , robust
//With Covariates...becomes a bit higher
//regress BetPeriod Treatment Past12Weeks Past58Weeks Past4Weeks Gender Age Student i.ContractDuration i.Location Exp Procr*, robust
//Heterogeneous treatment effect
//regress BetPeriod Treatment IntTrP4 Past4Weeks, robust
//regress BetPeriod Treatment IntTrP4 Past12Weeks Past58Weeks Past4Weeks Gender Age Student i.ContractDuration i.Location Exp Procr*, robust
//Who takes up bet?
//probit BetInd Past4Weeks NoVisit Bets Student Gender Procr* i.Location, robust
//What is ATET?
//ivregress 2sls ExpectedBetPeriod (BetYes = Treatment)
//regress BetPeriod Treatment Past12Weeks Past58Weeks Past4Weeks Gender Age Student i.ContractDuration i.Location Exp Procr* if Bet!=3, robust
//regress BetPeriod Treatment Past12Weeks Past58Weeks Past4Weeks Gender Age Student i.ContractDuration i.Location Exp Procr* if Bet!=3 & Bet!=2, robust
//regress BetPeriod Treatment Past12Weeks Past58Weeks Past4Weeks Gender Age Student i.ContractDuration i.Location Exp Procr* if Bet!=3 & Bet!=1, robust
//regress BetPeriod Treatment Past12Weeks Past58Weeks Past4Weeks Gender Age Student i.ContractDuration i.Location Exp Procr* if BetInd!=1, robust
//teffects psmatch (ExpectedChange) (Treatment Bets NoVisit, logit) if Bet!=3 & Finished==1, atet
//teffects psmatch (ExpectedChange) (Treatment Bets NoVisit, logit) if Bet!=3 & Bet!=2 & Finished==1, atet
//teffects psmatch (ExpectedChange) (Treatment Bets NoVisit, logit) if Bet!=3 & Bet!=1 & Finished==1, atet
//teffects psmatch (ExpectedChange) (Treatment Bets NoVisit, logit) if BetInd!=1 & Finished==1, atet

//regress BetPeriod Past4Weeks if Treatment==0, robust
//predict BetPeriodhat
//regress ExpectedBetPeriod Past4Weeks Past58Weeks Past12Weeks Gender Age i.Category i.Subscription StartDate if Treatment==0, robust
//predict BetPeriodhat2
//regress ExpectedBetPeriod Past4Weeks Past58Weeks Past12Weeks Gender Age i.Category i.Subscription StartDate Exp if Treatment==0, robust
//predict BetPeriodhat3
//regress ExpectedBetPeriod Past4Weeks Past58Weeks Past12Weeks Gender Age i.Category i.Subscription StartDate Exp Procr* i.Location if Treatment==0, robust
//predict BetPeriodhat4
//regress BetPeriod Past4Weeks Exp if Treatment==0, robust
//predict BetPeriodhat5

// New analysis Take-up
//regress Bet AtLeastOnce Past4Weeks, robust
//regress Bet AtLeastOnce Past4Weeks Male Age English Overweight i.ContractDuration, robust
//regress Bet AtLeastOnce Past4Weeks Male Age English Overweight i.ContractDuration PastOut Exp NotSatInd ProcPInd ProcFInd CompInd RisksInd LessInd, robust 
// New analysis Treatment Effect
//regress BetPeriod Treatment, robust
//regress BetPeriod Treatment Past4Weeks, robust
//regress BetPeriod Treatment Past4Weeks Male Age English Overweight, robust
//regress BetPeriod Treatment Past4Weeks Male Age English Overweight Exp LessInd ProcPInd ProcFInd, robust
// How often to bet takers go compared to their goal and expectation?
//mean Goal Exp BetPeriod if Bet==1 & DiffTest==0 //-->argue that not going too often


//For accurately matched
bysort Bet Test: egen SumMoney=sum(Money) if DiffTest==0 & Bet==1
gen OthersMoney=SumMoney-Money if DiffTest==0 & Bet==1
gen CountBet=20 if Test==0 & DiffTest==0 & Bet==1
replace CountBet=22 if Test==1 & DiffTest==0 & Bet==1
replace CountBet=20 if Test==2 & DiffTest==0 & Bet==1
replace CountBet=22 if Test==3 & DiffTest==0 & Bet==1
replace CountBet=15 if Test==4 & DiffTest==0 & Bet==1
gen AvgMoneyOthers=OthersMoney/(CountBet-1) if DiffTest==0 & Bet==1
gen MoneyWonBet=Money-AvgMoneyOthers if DiffTest==0 & Bet==1
gen AvgWorkoutsOthers=AvgMoneyOthers/5 if DiffTest==0 & Bet==1

//for wrongly matched
bysort Bet Test: egen MeanMoney2=mean(Money) if DiffTest==0 & Bet==1
sort Treatment Bet Past4Weeks
replace MeanMoney2=MeanMoney2[_n-1] if Past4Weeks==Past4Weeks[_n-1]
gen MoneyWonBet2=Money-MeanMoney2 if Bet==1
replace MoneyWonBet=MoneyWonBet2 if Bet==1 & DiffTest!=0
replace AvgWorkoutsOthers=MeanMoney2/5 if DiffTest!=0 & Bet==1


//Rounding
gen MoneyWonBetRounded=round(MoneyWonBet,.01)
gen AvgWorkoutsOthersRounded=round(AvgWorkoutsOthers,.01)


gen Win=1 if Bet==1 & MoneyWonBet>=0
replace Win=0 if Bet==1 & MoneyWonBet<0

gen Default=0 if Win==0
replace Default=1 if Win==0 & (PersonID==25026135 | PersonID==50003774 | PersonID==51836 | PersonID==83541 | PersonID==102173 | PersonID==102622 | PersonID==108194 | PersonID==15002099)


//export PersonID and Past4Weeks to excel file; combine that file with qualtrics contact file later on.
//order PersonID BetPeriod MinBetPeriod AvgWorkoutsOthersRounded MoneyWonBetRounded Win
//export excel betresults.xlsx, firstrow(variables)


//First Regression
//regress BetPeriod Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment Weekp1 Weekp2 Weekp3 Weekp4 Weekp5 Weekp6 Weekp7 Weekp8 Exp, robust
//outreg2 using myfile,  dec(3)
//regress BetPeriod Treatment Weekp1 Weekp2 Weekp3 Weekp4 Weekp5 Weekp6 Weekp7 Weekp8 Exp ProcInd TreatProcInd, robust
//outreg2 using myfile,  dec(3)
//regress BetPeriod Treatment Weekp1 Weekp2 Weekp3 Weekp4 Weekp5 Weekp6 Weekp7 Weekp8 Exp MotInd TreatMotInd, robust
//outreg2 using myfile,  dec(3)
//regress BetPeriod Treatment Weekp1 Weekp2 Weekp3 Weekp4 Weekp5 Weekp6 Weekp7 Weekp8 Exp FitInd TreatFitInd, robust
//outreg2 using myfile,  dec(3)
//regress BetPeriod Treatment Weekp1 Weekp2 Weekp3 Weekp4 Weekp5 Weekp6 Weekp7 Weekp8 Exp ProcInd TreatProcInd MotInd TreatMotInd FitInd TreatFitInd, robust
//regress BetPeriod Treatment Weekp1 Weekp2 Weekp3 Weekp4 Weekp5 Weekp6 Weekp7 Weekp8 Exp ProcInd TreatProcInd MotInd TreatMotInd, robust
//outreg2 using myfile, see word excel tex dta dec(3)

////////////
//regress BetPeriod Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment Test Past58Weeks Exp, robust
//outreg2 using myfile, dec(3)
//regress OnceWeek Treatment, robust
//outreg2 using myfile, dec(3)
//regress OnceWeek Treatment Test Past58Weeks  Exp, robust
//outreg2 using myfile, see word excel tex dta dec(3)


//////////////////////
//ivregress 2sls BetPeriod (BetYes=Treatment), robust
//outreg2 using myfile, replace dec(3)
//ivregress 2sls BetPeriod (BetYes=Treatment) Test Past58Weeks Exp, robust
//outreg2 using myfile, dec(3)
//ivregress 2sls OnceWeek (BetYes=Treatment), robust
//outreg2 using myfile, dec(3)
//ivregress 2sls OnceWeek (BetYes=Treatment) Test Past58Weeks  Exp, robust
//outreg2 using myfile, see word excel tex dta dec(3)

/////////////////////////////
//ivregress 2sls BetPeriod (BetYes=Treatment), robust
//outreg2 using myfile, replace dec(3)
//ivregress 2sls BetPeriod (BetYes=Treatment) Test Past58Weeks Exp, robust
//outreg2 using myfile, see word excel tex dta dec(3)

//regress BetPeriod Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment Test Past58Weeks Exp, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment Test Past58Weeks Exp ProcInd TreatProcInd, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment Test Past58Weeks Exp Female TreatFemale, robust
//outreg2 using myfile, sortvar(Treatment Test Past58Weeks Exp) see word excel tex dta dec(3)



//regress BetPeriod Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment Test1 Test2 Test3 Test4 Exp Male Age English Overweight PastOut, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment Test Exp if ProcInd==0, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment Test Exp if ProcInd==1, robust
//outreg2 using myfile, sortvar(Treatment Test1 Test2 Test3 Test4 TreatNever ProcInd TreatProcInd) see word excel tex dta dec(3)



//regress BetPeriod Treatment Test1 Test2 Test3 Test4 TreatNever, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment Test1 Test2 Test3 Test4 ProcInd TreatProcInd, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if AtLeastOnce==0, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if AtLeastOnce==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment i.Test if AtLeastOnce==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if ProcInd==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if ProcInd==0, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment i.Test if ProcInd==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment i.Test if ProcInd==0, robust
//outreg2 using myfile, sortvar(Treatment Test1 Test2 Test3 Test4 TreatNever ProcInd TreatProcInd) see word excel tex dta dec(3)





//regress BetPeriod Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment Test1 Test2 Test3 Test4, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment Test1 Test2 Test3 Test4 TreatNever, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment Test1 Test2 Test3 Test4 ProcInd TreatProcInd, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if AtLeastOnce==0, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if AtLeastOnce==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment i.Test if AtLeastOnce==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if ProcInd==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if ProcInd==0, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment i.Test if ProcInd==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment i.Test if ProcInd==0, robust
//outreg2 using myfile, sortvar(Treatment Test1 Test2 Test3 Test4 TreatNever ProcInd TreatProcInd) see word excel tex dta dec(3)


//regress BetPeriod Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment Test1 Test2 Test3 Test4, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment if AtLeastOnce==0, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if AtLeastOnce==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if ProcInd==1, robust
//outreg2 using myfile, auto(3)
//regress BetPeriod Treatment if ProcInd==0, robust
//outreg2 using myfile, sortvar(Treatment Test1 Test2 Test3 Test4 TreatNever ProcInd TreatProcInd) see word excel tex dta dec(3)


//ivregress 2sls BetPeriod (BetYes=Treatment), robust
//outreg2 using myfile, replace auto(3)
//ivregress 2sls BetPeriod (BetYes=Treatment) i.Test, robust
//outreg2 using myfile, see word excel tex dta auto(3)



//////////////////////2nd regression
////regress Bet Test1 Test2 Test3 Test4, robust
////outreg2 using myfile, replace dec(3)
////regress Bet Test1 Test2 Test3 Test4 Past58Weeks Female Age English Overweight Contract3 Contract6, robust
////outreg2 using myfile, dec(3)
//regress Bet Test1 Test2 Test3 Test4 Female Age English Overweight Contract3 Contract6 Past58Weeks PastOut Exp Exp5, robust
//outreg2 using myfile, dec(3)
////regress Bet PastOut Exp ProcPInd ProcFInd MotInd CompInd RisksInd, robust
////outreg2 using myfile, dec(3)
////regress Bet Test1 Test2 Test3 Test4 Past58Weeks Female Age English Overweight Contract3 Contract6 PastOut Exp ProcPInd ProcFInd MotInd CompInd RisksInd, robust
////outreg2 using myfile, sortvar(Bet Test1 Test2 Test3 Test4 Past58Weeks Female Age English Overweight Contract3 Contract6 PastOut Exp) see word excel tex dta dec(3)


//outreg2 using myfile
//regress Bet Test1 Test2 Test3 Test4 ProcPInd ProcFInd CompInd RisksInd LessInd FitInd MotInd SatInd HappyInd HealthInd Exp Exp5 Goal PastOut, robust
//outreg2 using myfile
//regress Bet Test1 Test2 Test3 Test4 Male Age English Overweight ProcPInd ProcFInd CompInd RisksInd LessInd FitInd MotInd SatInd HappyInd HealthInd Exp Exp5 Goal PastOut, robust
//outreg2 using myfile, sortvar(Test1 Test2 Test3 Test4 Male Age English Overweight) see word excel tex dta auto(3)
//regress Bet Test1 Test2 Test3 Test4, robust
//outreg2 using myfile, replace dec(3)
//regress Bet Test1 Test2 Test3 Test4 Female Age English Contract3 Contract6, robust
//outreg2 using myfile, dec(3)
//regress Bet Test1 Test2 Test3 Test4 Female Age English Contract3 Contract6 ProcrastinationPast ProcrastinationFuture LessOften Competitive Risks, robust
//outreg2 using myfile, dec(3)
//regress Bet Test1 Test2 Test3 Test4 Past58Weeks Exp PastOut Female Age English  Contract3 Contract6 ProcrastinationPast ProcrastinationFuture LessOften Competitive Risks, robust
//outreg2 using myfile, sortvar(Test1 Test2 Test3 Test4 Past58Weeks Female Age English Contract3 Contract6) see word excel tex dta dec(3)






//ttest Test1, by(Treatment)
//est store TTTest1
/////////////////////
//mean Test0 Test1 Test2 Test3 Test4 Past58Weeks Contract3 Contract6 Contract12 Female Age Overweight English Goal Exp PastOut DurationPast FitInd MotInd SatInd LessInd ProcPInd ProcFInd CompInd RisksInd HealthInd HappyInd
//outreg2 using myfile, replace dec(3)
//mean  Test0 Test1 Test2 Test3 Test4 Past58Weeks Contract3 Contract6 Contract12 Female Age Overweight English Goal Exp PastOut DurationPast FitInd MotInd SatInd LessInd ProcPInd ProcFInd CompInd RisksInd HealthInd HappyInd if Treatment==0
//outreg2 using myfile, dec(3)
//mean  Test0 Test1 Test2 Test3 Test4 Past58Weeks Contract3 Contract6 Contract12 Female Age Overweight English Goal Exp PastOut DurationPast FitInd MotInd SatInd LessInd ProcPInd ProcFInd CompInd RisksInd HealthInd HappyInd if Treatment==1
//outreg2 using myfile, see word excel tex dta dec(3)

//mean Test0 Test1 Test2 Test3 Test4 Male Age Overweight ProcPInd ProcFInd CompInd RisksInd LessInd SatInd if Treatment==0
//outreg2 using myfile, replace dec(3)
//mean Test0 Test1 Test2 Test3 Test4 if Treatment==1
//outreg2 using myfile dec(3)
//ttable2 Test0 Test1 Test2 Test3 Test4, by(Treatment)
//outreg2 using myfile, see word excel tex dta dec(3)


//mean SatInd SatInd2 if Bet==1
//outreg2 using myfile, replace dec(3)
//mean SatInd2 if Bet==1
//outreg2 using myfile, replace see word excel tex dta dec(3)
//outreg2 using myfile, replace dec(3)
//mean Test0 Test1 Test2 Test3 Test4 if Treatment==1
//outreg2 using myfile dec(3)
//ttable2 Test0 Test1 Test2 Test3 Test4, by(Treatment)
//outreg2 using myfile, see word excel tex dta dec(3)


//twoway scatter Value Week if Group==1,cmissing(no) color(navy) connect(l) msymbol(o)|| scatter Value Week if Group==2,cmissing(no) lpattern("_-") color(dkorange) connect(l) msymbol(t)|| scatter Value Week if Group==3,cmissing(no) lpattern("_") color(sand) connect(l) msymbol(d)|| scatter Value Week if Group==4,cmissing(no) lpattern("-") color(cranberry) msymbol(s) connect(l) graphregion(color(white)) xtitle("Weeks before/after survey week") ytitle("Avg. gym visits per week") xmtick(-4(1)4) xlabel(-4(1)4) legend(pos(10) col(1) ring(0) label(1 "Control") label(2 "Treatment") label(3 "Rejected Bet") label(4 "Accepted Bet")) mlabposition(clockposlist 11)
cumul BetPeriod if Treatment==0, gen(cumT0)
cumul BetPeriod if Treatment==1, gen(cumT1)
cumul BetPeriod if Bet==0, gen(cumB0)
cumul BetPeriod if Bet==1, gen(cumB1)

gsort - cumT0 - cumT1
replace cumT0=cumT0[_n-1] if BetPeriod==BetPeriod[_n-1]
replace cumT1=cumT1[_n-1] if BetPeriod==BetPeriod[_n-1]
gsort - cumB0 - cumB1
replace cumB0=cumB0[_n-1] if BetPeriod==BetPeriod[_n-1]
replace cumB1=cumB1[_n-1] if BetPeriod==BetPeriod[_n-1]

sort cumT0 cumT1 cumB0 cumB1
//twoway scatter cumT0 BetPeriod, color(navy) connect(l) msymbol(o)|| scatter cumT1 BetPeriod, color(dkorange) connect(l) msymbol(t) || scatter cumB0 BetPeriod, color(sand) connect(l) msymbol(t) || scatter cumB1 BetPeriod, color(cranberry) connect(l) msymbol(t) graphregion(color(white)) xmtick(0(2)16) xlabel(0(2)16) xtitle("Gym visits") ytitle("CDF") legend(label(1 "Control") label(2 "Treatment"))
//twoway histogram BetPeriod if Treatment==0, by(Treatment) discrete color(navy)|| histogram BetPeriod if Treatment==1, by(Treatment) discrete color(dkorange) graphregion(color(white)) xmtick(0(2)16) xlabel(0(2)16) xtitle("Gym visits") ytitle("CDF")
//twoway histogram BetPeriod if Bet==0, by(Bet) discrete color(sand)|| histogram BetPeriod if Bet==1, by(Bet) discrete color(cranberry) graphregion(color(white)) xmtick(0(2)16) xlabel(0(2)16) xtitle("Gym visits") ytitle("CDF")

//twoway histogram BetPeriod, by(Treatment) discrete
//twoway histogram BetPeriod, by(Bet) discrete

//histogram BetPeriod, frac discrete


//twoway scatter Value Week if Group==1,cmissing(no) color(navy) connect(l) msymbol(o)|| scatter Value Week if Group==2,cmissing(no) lpattern("_-") color(dkorange) connect(l) msymbol(t)|| scatter Value Week if Group==3,cmissing(no) lpattern("_") color(sand) connect(l) msymbol(d)|| scatter Value Week if Group==4,cmissing(no) lpattern("-") color(cranberry) msymbol(s) connect(l) graphregion(color(white)) xtitle("Weeks before/after survey week") ytitle("Avg. gym visits per week") xmtick(-4(1)8) xlabel(-4(1)8) ylabel(,nogrid) legend(pos(10) col(1) ring(0) label(1 "Control") label(2 "Offered Bet") label(3 "Rejected Bet") label(4 "Accepted Bet")) mlabposition(clockposlist 11) xline(0.5,lpattern(dot) lcolor(gray)) xline(4.5,lpattern(dot) lcolor(gray)) 


//cibar BetPeriod, over1(Treatment)

generate MultiBetPeriodPast4Weeks=1000*BetPeriod+Past4Weeks
generate MultiBetPeriodExp=1000*BetPeriod+Exp
egen freq_BPP4 = sum(1) if !missing(MultiBetPeriodPast4Weeks), by(MultiBetPeriodPast4Weeks Treatment)
egen freq_BPExp = sum(1) if !missing(MultiBetPeriodExp), by(MultiBetPeriodExp Treatment)

//twoway (scatter BetPeriod Past4Weeks [w=freq_BPP4] if Treatment==0, msymbol(Oh)) (lfit BetPeriod Past4) //xsize(4) ysize(15)
//twoway (scatter BetPeriod Exp [w=freq_BPExp] if Treatment==0, msymbol(Oh)) (lfit BetPeriod Exp) //xsize(18) ysize(6)

generate MultiBetPeriodExpBet=1000*BetPeriod+ExpBet
egen freq_BPExpBet = sum(1) if !missing(MultiBetPeriodExpBet), by(MultiBetPeriodExpBet Treatment)

regress BetPeriod Past4Weeks ExpBet, robust
predict Matching
generate MultiP4Matching=1000*Past4Weeks+Matching
egen freq_P4Matching = sum(1) if !missing(MultiP4Matching), by(MultiP4Matching Treatment)
//scatter Matching Past4Weeks [w=freq_P4Matching], msymbol(Oh) //xsize(18) ysize(6)

//ivregress 2sls BetPeriod (BetYes BetYesTest =Treatment TreatTest) Test Exp, robust

bysort Groups Past4Weeks: egen MeanBPP4=mean(BetPeriod)
bysort Groups Exp: egen MeanBPExp=mean(BetPeriod)
bysort Groups Past4Weeks: egen MeanExpP4=mean(Exp)

//line MeanBPP4 Past4 if Groups==1
//scatter MeanBPExp Exp if Groups==1
//twoway connected MeanBPExp Exp if Groups==1, sort



//twoway (connected MeanBPP4 Past4 if Groups==1) (connected MeanExpP4 Past4 if Groups==1)

////Matching
//regress BetPeriod Past4Weeks if Treatment==0, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Exp if Treatment==0, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Exp ProcPInd ProcFInd MotInd if Treatment==0, robust
//outreg2 using myfile, dec(3)
////regress BetPeriod ProcPInd ProcFInd MotInd if Treatment==0, robust
////outreg2 using myfile, dec(3)
////regress BetPeriod Exp ProcPInd ProcFInd MotInd if Treatment==0, robust
////outreg2 using myfile, dec(3)
//regress BetPeriod Past4Weeks Exp if Treatment==0, robust
////outreg2 using myfile, dec(3)
////regress BetPeriod i.Past4Weeks Past58Weeks Age Female English i.ContractDuration if Treatment==0, robust
////outreg2 using myfile, dec(3)
////regress BetPeriod i.Past4Weeks Past58Weeks Age Female English i.ContractDuration Exp if Treatment==0, robust
//outreg2 using myfile, see word excel tex dta dec(3) sortvar(Past4Weeks Exp ProcPInd ProcFInd MotInd)
////



////Graph showing Past4 and BetPeriod for Bet Participants according to whether they would take up a bet again
generate LikelyIndGroup=LikelyInd
replace LikelyIndGroup=2 if LikelyInd==.
//graph bar Past4 BetPeriod if Bet==1, over(LikelyIndGroup)
////

////Heterogeneous Treatment Effects
//regress BetPeriod Treatment ProcInd TreatProcInd, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment MotInd TreatMotInd, robust
//outreg2 using myfile, dec(3)
//regress BetPeriod Treatment Female TreatFemale, robust
//outreg2 using myfile, see word excel tex dta dec(3)
////

////Other Visit-related outcome measures
//regress BetPeriod Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment Past4Weeks Past58 Exp, robust
//outreg2 using myfile, dec(3)
//regress One Treatment, robust
//outreg2 using myfile, dec(3)
//regress One Treatment Past4Weeks Past58 Exp, robust
//outreg2 using myfile, dec(3)
//regress Eight Treatment, robust
//outreg2 using myfile, dec(3)
//regress Eight Treatment Past4Weeks Past58 Exp, robust
//outreg2 using myfile, see word excel tex dta dec(3)
////

egen AvgFuture4WeeksT0=mean(Future4Weeks/(Treatment==0))
egen AvgFuture4WeeksT1=mean(Future4Weeks/(Treatment==1))
generate AvgChangeFuture4Weeks=AvgFuture4WeeksT1-AvgFuture4WeeksT0
egen AvgFuture8WeeksT0=mean(Future8Weeks/(Treatment==0))
egen AvgFuture8WeeksT1=mean(Future8Weeks/(Treatment==1))
generate AvgChangeFuture8Weeks=AvgFuture8WeeksT1-AvgFuture8WeeksT0


//egen kkk=mean(Future4Weeks/(Treatment==1))-mean(Future4Weeks/(Treatment==0))


////Figure with Long-Term Effects using all Subjects
//forvalues i=5/24 {
//regress Weekf`i' Treatment, robust
//gen PE`i' = _b[Treatment]
//mat r=r(table)
//matrix ll=r["ll","Treatment"]' // see -help matrix extraction-; transposed for svmat
//matrix ul=r["ul","Treatment"]' // see -help matrix extraction-; transposed for svmat
//svmat ll,names(ll)      // lower bounds are in variable ll1
//svmat ul,names(ul)      // lower bounds are in variable ll1
//generate LL`i'=ll
//generate UL`i'=ul
//drop ul* ll* 
//tab UL`i'
//}

////Figure with Long-Term Effects using only Subjects who have membership until end of 20 post-bet period weeks
//forvalues i=5/24 {
//regress Weekf`i' Treatment if NDaysBeforeEnd>=140, robust
//gen PE`i' = _b[Treatment]
//mat r=r(table)
//matrix ll=r["ll","Treatment"]' // see -help matrix extraction-; transposed for svmat
//matrix ul=r["ul","Treatment"]' // see -help matrix extraction-; transposed for svmat
//svmat ll,names(ll)      // lower bounds are in variable ll1
//svmat ul,names(ul)      // lower bounds are in variable ll1
//generate LL`i'=ll
//generate UL`i'=ul
//drop ul* ll* 
//tab UL`i'
//}

////Figure with Long-Term Effects using only Subjects who have initial membership in that week
//forvalues i=5/24 {
//regress Weekf`i' Treatment if NDaysBeforeEnd>=`i'*7-28, robust
//gen PE`i' = _b[Treatment]
//mat r=r(table)
//matrix ll=r["ll","Treatment"]' // see -help matrix extraction-; transposed for svmat
//matrix ul=r["ul","Treatment"]' // see -help matrix extraction-; transposed for svmat
//svmat ll,names(ll)      // lower bounds are in variable ll1
//svmat ul,names(ul)      // lower bounds are in variable ll1
//generate LL`i'=ll
//generate UL`i'=ul
//drop ul* ll* 
//tab UL`i'
//}

////For LongTermEffectsGraph
//reshape long PE LL UL, i(PersonID) j(NewWeek)
//generate ThatWeek=.
//forvalues i=5/24 {
//replace ThatWeek=Weekf`i' if NewWeek==`i'
//}
//twoway (connected PE NewWeek, sort) (line LL NewWeek, sort) (line UL NewWeek, sort)
////


//reshape long Weekf, i(PersonID) j(NewWeek)
//bysort NewWeek: egen AvgT0=mean(Weekf/(Treatment==0))
//bysort NewWeek: egen AvgT1=mean(Weekf/(Treatment==1))
//generate AvgChange=AvgT1-AvgT0
//twoway connected AvgChange NewWeek

//drop _merge AvgT0 AvgT1 AvgChange
//reshape wide Weekf, i(PersonID) j(NewWeek)

forvalues i=5/24 {
gen DWeekf`i'=min(Weekf`i',1)
}

////Heterogeneous Graph
//generate NonProcInd=1-ProcInd
//graph bar BetPeriod, over(Treatment) over (NonProcInd) saving(GraphNonProc)
//graph bar BetPeriod, over(Treatment) over (MotInd) saving(GraphMot)
//graph bar BetPeriod, over(Treatment) over (FitInd) saving(GraphFit)
//graph bar BetPeriod, over(Treatment) over (PastOutInd) saving(GraphPastOut)
//graph combine "GraphNonProc" "GraphMot" "GraphFit" "GraphPastOut"
////




////Participants
//graph bar Bet, over(Test) saving(GraphTest)
//graph bar Bet, over(NonProcInd) saving(GraphBetProcInd)
//graph combine "GraphTest" "GraphBetProcInd"
////

////Heterogeneous Graph
//graph bar BetPeriod, over(Treatment) over (AgeInd) saving(GraphAgeInd)
//graph bar BetPeriod, over(Treatment) over (Female) saving(GraphFemale)
//graph combine "GraphAgeInd" "GraphFemale"
////

//Best specification:
//regress Bet Test1 Test2 Test3 Test4 Past58Weeks Exp PastOut Female Age English Contract3 Contract6 ProcPInd ProcFInd MotInd FitInd CompInd RisksInd, robust
//vif

generate AllFutureVisits=Future4Weeks+Future8Weeks+Future12Weeks+Future16Weeks+Future20Weeks

gen yuyu=0
forvalues i=11/24 {
replace yuyu=yuyu+Weekf`i'
}

generate WD1=Day1+Day8+Day15+Day22
generate WD2=Day2+Day9+Day16+Day23
generate WD3=Day3+Day10+Day17+Day24
generate WD4=Day4+Day11+Day18+Day25
generate WD5=Day5+Day12+Day19+Day26
generate WD6=Day6+Day13+Day20+Day27
generate WD7=Day7+Day14+Day21+Day28





////Other Visit-related outcome measures future4weeks
//generate FutAtLeastOnce=0
//replace FutAtLeastOnce=1 if Future4Weeks>0
//generate FutAtLeastEight=0
//replace FutAtLeastEight=1 if Future4Weeks>7
//regress Future4Weeks Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress Future4Weeks Treatment Past4Weeks Past58 Exp, robust
//outreg2 using myfile, dec(3)
//regress FutAtLeastOnce Treatment, robust
//outreg2 using myfile, dec(3)
//regress FutAtLeastOnce Treatment Past4Weeks Past58 Exp, robust
//outreg2 using myfile, dec(3)
//regress FutAtLeastEight Treatment, robust
//outreg2 using myfile, dec(3)
//regress FutAtLeastEight Treatment Past4Weeks Past58 Exp, robust
//outreg2 using myfile, see word excel tex dta dec(3)
////

////Other Visit-related outcome measures future4weeks
//generate AllFutAtLeastOnce=0
//replace AllFutAtLeastOnce=1 if AllFutureVisits>0
//regress AllFutureVisits Treatment, robust
//outreg2 using myfile, replace dec(3)
//regress AllFutureVisits Treatment Past4Weeks Past58 Exp, robust
//outreg2 using myfile, dec(3)
//regress AllFutAtLeastOnce Treatment, robust
//outreg2 using myfile, dec(3)
//regress AllFutAtLeastOnce Treatment Past4Weeks Past58 Exp, robust
//outreg2 using myfile, see word excel tex dta dec(3)
////


/////////////////////////////ATET
//ivregress 2sls BetPeriod (BetYes=Treatment), robust
//outreg2 using myfile, replace dec(3)
//ivregress 2sls BetPeriod (BetYes=Treatment) Test Past58Weeks Exp, robust
//outreg2 using myfile, dec(3)
//ivregress 2sls OneorMoreVisitsBP (BetYes=Treatment), robust
//outreg2 using myfile, dec(3)
//ivregress 2sls OneorMoreVisitsBP (BetYes=Treatment) Test Past58Weeks Exp, robust
//outreg2 using myfile, dec(3)
//ivregress 2sls EightorMoreVisitsBP (BetYes=Treatment), robust
//outreg2 using myfile, dec(3)
//ivregress 2sls EightorMoreVisitsBP (BetYes=Treatment) Test Past58Weeks Exp, robust
//outreg2 using myfile, see word excel tex dta dec(3)

//prtest Bet, by(ProcInd)

//twoway line Weekf* if Groups==1,cmissing(no) color(navy) connect(l) msymbol(o)|| line Weekf* if Groups>1,cmissing(no) lpattern("_-") color(dkorange) connect(l) msymbol(t)|| line Weekf* if Groups==2,cmissing(no) lpattern("_") color(sand) connect(l) msymbol(d)|| line Weekf* if Groups==3,cmissing(no) lpattern("-") color(cranberry) msymbol(s) connect(l) graphregion(color(white)) xtitle("Weeks before/after survey week") ytitle("Avg. gym visits per week") xmtick(-8(1)4) xlabel(-8(1)4) ylabel(,nogrid) legend(pos(10) col(1) ring(0) label(1 "Control") label(2 "Offered Bet") label(3 "Rejected Bet") label(4 "Accepted Bet")) mlabposition(clockposlist 11) xline(-0.5,lpattern(dot) lcolor(gray)) xline(0.5,lpattern(dot) lcolor(gray)) xline(-4.5,lpattern(dot) lcolor(gray)) sort(Weekf*)

//Heterogeneous ATET with PastOutInd
//ivregress 2sls BetPeriod (BetYes BetYesPastOutInd=Treatment TreatPastOutInd) PastOutInd, r

generate NonProcInd=1-ProcInd
generate TreatNonProcInd=Treatment*NonProcInd
//regress BetPeriod Treatment NonProcInd TreatNonProcInd, r
//outreg2 using myfile, replace dec(3)
//regress BetPeriod Treatment MotInd TreatMotInd, r
//outreg2 using myfile,  dec(3)
//regress BetPeriod Treatment FitInd TreatFitInd, r
//outreg2 using myfile,  dec(3)
//regress BetPeriod Treatment PastOutInd TreatPastOutInd, r
//outreg2 using myfile,  dec(3)
//regress BetPeriod Treatment NonProcInd TreatNonProcInd MotInd TreatMotInd FitInd TreatFitInd PastOutInd TreatPastOutInd, r
//outreg2 using myfile, see word excel tex dta dec(3)


//Summary Statistics
//mean Female Age English Overweight DurationPast ContractDuration Past4 Past58 PastOut Exp Goal ProcPInd ProcFInd MotInd CompInd RisksInd FitInd SatInd HappyInd HealthInd
//outreg2 using myfile, replace dec(3)
//mean Female Age English Overweight DurationPast ContractDuration Past4 Past58 PastOut Exp Goal ProcPInd ProcFInd MotInd CompInd RisksInd FitInd SatInd HappyInd HealthInd
//outreg2 using myfile, dec(3)
//mean Female Age English Overweight DurationPast ContractDuration Past4 Past58 PastOut Exp Goal ProcPInd ProcFInd MotInd CompInd RisksInd FitInd SatInd HappyInd HealthInd
//outreg2 using myfile, dec(3)
//mean Female
//outreg2 using myfile, dec(3)
//mean Female Age English Overweight DurationPast ContractDuration Past4 Past58 PastOut Exp Goal ProcPInd ProcFInd MotInd CompInd RisksInd FitInd SatInd HappyInd HealthInd
//outreg2 using myfile, dec(3)
//mean Female Age English Overweight DurationPast ContractDuration Past4 Past58 PastOut Exp Goal ProcPInd ProcFInd MotInd CompInd RisksInd FitInd SatInd HappyInd HealthInd
//outreg2 using myfile, dec(3)
//mean Female
//outreg2 using myfile, see word excel tex dta dec(3)

//reg BetPeriod Treatment, r
//outreg2 using myfile, replace dec(3)
//reg BetPeriod Treatment Past4 Past58 Exp, r
//outreg2 using myfile, dec(3)
//probit One Treatment, r 
//mfx
//outreg2 using myfile, dec(3) mfx
//probit One Treatment Past4 Past58 Exp, r
//mfx
//outreg2 using myfile, see word excel tex dta dec(3) mfx

//ivregress 2sls BetPeriod (BetYes=Treatment), r
//outreg2 using myfile, replace dec(3)
//ivregress 2sls BetPeriod (BetYes=Treatment) Past4 Past58 Exp, r
//outreg2 using myfile, dec(3)
//ivprobit One (BetYes=Treatment), vce(r) 
//mfx
//outreg2 using myfile, dec(3) mfx
//ivprobit One (BetYes=Treatment) Past4 Past58 Exp, vce(r)
//mfx
//outreg2 using myfile, see word excel tex dta dec(3) mfx

gen SimMoneyExp=5*min(Exp,8) if Bet==1
gen SimMoneyExpBet=5*min(ExpBet,8) if Bet==1
gen SimMoneyOthers=SimMoneyExpBet-ExpWin/5 if Bet==1



erase a1.gph
erase a2.gph
erase a3.gph
erase a4.gph
erase a5.gph
erase a6.gph

preserve
collapse (mean) meanBetPeriod= BetPeriod (sd) sdBetPeriod=BetPeriod (count) n=BetPeriod, by(Treatment NonProcInd)
generate hiBetPeriod = meanBetPeriod + invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate loBetPeriod = meanBetPeriod - invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate BT = Treatment    if NonProcInd == 0
replace  BT = Treatment+3 if NonProcInd==1
sort BT


twoway (bar meanBetPeriod BT if Treatment==0) ///
       (bar meanBetPeriod BT if Treatment==1) ///
       (rcap hiBetPeriod loBetPeriod BT), saving(a1)
restore	   

preserve
collapse (mean) meanBetPeriod= BetPeriod (sd) sdBetPeriod=BetPeriod (count) n=BetPeriod, by(Treatment MotInd)
generate hiBetPeriod = meanBetPeriod + invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate loBetPeriod = meanBetPeriod - invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate BT = Treatment    if MotInd == 0
replace  BT = Treatment+3 if MotInd==1
sort BT


twoway (bar meanBetPeriod BT if Treatment==0) ///
       (bar meanBetPeriod BT if Treatment==1) ///
       (rcap hiBetPeriod loBetPeriod BT), saving(a2)
restore	 

preserve
collapse (mean) meanBetPeriod= BetPeriod (sd) sdBetPeriod=BetPeriod (count) n=BetPeriod, by(Treatment FitInd)
generate hiBetPeriod = meanBetPeriod + invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate loBetPeriod = meanBetPeriod - invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate BT = Treatment    if FitInd == 0
replace  BT = Treatment+3 if FitInd==1
sort BT


twoway (bar meanBetPeriod BT if Treatment==0) ///
       (bar meanBetPeriod BT if Treatment==1) ///
       (rcap hiBetPeriod loBetPeriod BT), saving(a3)
restore	 

preserve
collapse (mean) meanBetPeriod= BetPeriod (sd) sdBetPeriod=BetPeriod (count) n=BetPeriod, by(Treatment PastOutInd)
generate hiBetPeriod = meanBetPeriod + invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate loBetPeriod = meanBetPeriod - invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate BT = Treatment    if PastOutInd == 0
replace  BT = Treatment+3 if PastOutInd==1
sort BT


twoway (bar meanBetPeriod BT if Treatment==0) ///
       (bar meanBetPeriod BT if Treatment==1) ///
       (rcap hiBetPeriod loBetPeriod BT), saving(a4)
restore	 

preserve
collapse (mean) meanBetPeriod= BetPeriod (sd) sdBetPeriod=BetPeriod (count) n=BetPeriod, by(Treatment AgeInd)
generate hiBetPeriod = meanBetPeriod + invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate loBetPeriod = meanBetPeriod - invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate BT = Treatment    if AgeInd == 0
replace  BT = Treatment+3 if AgeInd==1
sort BT


twoway (bar meanBetPeriod BT if Treatment==0) ///
       (bar meanBetPeriod BT if Treatment==1) ///
       (rcap hiBetPeriod loBetPeriod BT), saving(a5)
restore	 

preserve
collapse (mean) meanBetPeriod= BetPeriod (sd) sdBetPeriod=BetPeriod (count) n=BetPeriod, by(Treatment Female)
generate hiBetPeriod = meanBetPeriod + invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate loBetPeriod = meanBetPeriod - invttail(n-1,0.025)*(sdBetPeriod / sqrt(n))
generate BT = Treatment    if Female == 0
replace  BT = Treatment+3 if Female==1
sort BT


twoway (bar meanBetPeriod BT if Treatment==0) ///
       (bar meanBetPeriod BT if Treatment==1) ///
       (rcap hiBetPeriod loBetPeriod BT), saving(a6)
restore	 

	   graph combine "a1" "a2"  "a3" "a4" 
	   graph combine "a5" "a6"  
	   
ttest BetPeriod if ProcInd==1, by(Treatment)






regress BetPeriod Treatment if NonProcInd==0, r
estimates store A
regress BetPeriod Treatment if NonProcInd==1, r
estimates store B
regress BetPeriod Treatment if MotInd==0, r
estimates store E
regress BetPeriod Treatment if MotInd==1, r
estimates store F
regress BetPeriod Treatment if FitInd==0, r
estimates store G
regress BetPeriod Treatment if FitInd==1, r
estimates store H
regress BetPeriod Treatment if PastOutInd==0, r
estimates store C
regress BetPeriod Treatment if PastOutInd==1, r
estimates store D
regress BetPeriod Treatment if AgeInd==0, r
estimates store I
regress BetPeriod Treatment if AgeInd==1, r
estimates store J
regress BetPeriod Treatment if Female==0, r
estimates store K
regress BetPeriod Treatment if Female==1, r
estimates store L
coefplot (A, offset(0.4)) (B, offset(0.3)) (C, offset(0.1)) (D, offset(0.0)) (E, offset(-0.2)) (F, offset(-0.3)) (G, offset(-0.5)) (H, offset(-0.6)) (I, offset(-0.9)) (J, offset(-1)) (K, offset(-1.2)) (L, offset(-1.3)), keep(Treatment) xline(0) addplot(scatteri 0.9 2.25 1.0 2.25, recast(line) lcolor(black) || scatteri 0.9 2.22 0.9 2.25, recast(line) lcolor(black) || scatteri 1.00 2.22 1.00 2.25, recast(line) lcolor(black) || scatteri 0.965 2.23 (3)"***", msymbol(none) lcolor(black) || scatteri 1.9 2.25 2.0 2.25, recast(line) lcolor(black) || scatteri 1.9 2.22 1.9 2.25, recast(line) lcolor(black) || scatteri 2.00 2.22 2.00 2.25, recast(line) lcolor(black) || scatteri 1.965 2.23 (3)"*", msymbol(none) lcolor(black)) ciopts(recast(rcap) color(dkorange)) color(dkorange) legend(off) xscale(range(-0.5 2.35)) yscale(range(0.5 2.4)) xsize(5.5cm) ysize(5.0cm) yscale(noline) ylabel(0.594 "Procrastinator" 0.694 "Non-Procrastinator" 0.894 "Inactive outside gym" 0.994 "Active outside gym" 1.194 "Unmotivated" 1.294 "Motivated" 1.494 "Fit" 1.594 "Unfit" 1.894 "Younger" 1.994 "Older" 2.194 "Male" 2.294 "Female", notick) xlabel(0 1 2)

//(scatteri 0.03 1.9 0.63 1.9, recast(line) lcolor(black)) (scatteri 0.63 1.1 0.63 1.9, recast(line) lcolor(black)) (scatteri 0.23 1.5 (0)"**", msymbol(none) lcolor(black))

















egen ProcrastinationPastMean=mean(ProcrastinationPast)
egen ProcrastinationPastSD=sd(ProcrastinationPast)
gen ProcrastinationPastStandardized=(ProcrastinationPast-ProcrastinationPastMean)/ProcrastinationPastSD












//xtset PersonID Period
sort PersonID Period
gen Monday=0
gen Tuesday=0
gen Wednesday=0
gen Thursday=0
gen Friday=0
gen Saturday=0
gen Sunday=0
replace Monday=1 if Period==1 | Period==8 | Period==15 | Period==22
replace Tuesday=1 if Period==2 | Period==9 | Period==16 | Period==23
replace Wednesday=1 if Period==3 | Period==10 | Period==17 | Period==24
replace Thursday=1 if Period==4 | Period==11 | Period==18 | Period==25
replace Friday=1 if Period==5 | Period==12 | Period==19 | Period==26
replace Saturday=1 if Period==6 | Period==13 | Period==20 | Period==27
replace Sunday=1 if Period==7 | Period==14 | Period==21 | Period==28




generate BetYes4=BetYes*Past4Weeks
generate Treatment4=Treatment*Past4Weeks
ivregress 2sls BetPeriod Past4Weeks Past58Weeks Exp (BetYes i.BetYes4=Treatment i.Treatment4), r
ivregress 2sls BetPeriod Past4Weeks Past58Weeks Exp (BetYes BetYes4=Treatment Treatment4), r

reg BetPeriod Past4Weeks Past58Weeks Exp if Treatment==0, r
predict Prediction
generate BetYesPrediction=BetYes*Prediction
generate TreatmentPrediction=Treatment*Prediction
ivregress 2sls BetPeriod Prediction (BetYes BetYesPrediction = Treatment TreatmentPrediction), r


